ChrisWren ChrisWren

mdlint

1 14 0

Lint JavaScript code blocks in markdown files to find syntax errors

Dependencies

Package Locked Requirement Latest Status Changelog
Npms colors ~0.6.0-1 1.1.2

colors

get colors in your node.js console

This dependency is not matching latest version. Please consider upgrading.

Npms commander ~1.3.0 2.9.0

commander

the complete solution for node.js command-line programs

This dependency is not matching latest version. Please consider upgrading.

Npms esprima ~1.0.3 3.1.2

esprima

ECMAScript parsing infrastructure for multipurpose analysis

This dependency is not matching latest version. Please consider upgrading.

Npms glob ~3.2.1 7.1.1

glob

a little globber

This dependency is not matching latest version. Please consider upgrading.

Npms lodash ~1.3.1 4.17.2

lodash

Lodash modular utilities.

This dependency is not matching latest version. Please consider upgrading.

Npms request ~2.22.0 2.79.0

request

Simplified HTTP request client.

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Npms grunt ~0.4.1 1.0.1

grunt

The JavaScript Task Runner

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-contrib-jshint ~0.6.0 1.1.0

grunt-contrib-jshint

Validate files with JSHint

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-contrib-watch ~0.5.1 1.0.0

grunt-contrib-watch

Run predefined tasks whenever watched file patterns are added, changed or deleted

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-release ~0.5.1 0.14.0

grunt-release

Release a new version of your Node-based project

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-simple-mocha ~0.4.0 0.4.1

grunt-simple-mocha

A simple wrapper for running tests with Mocha.

This dependency is up-to-date. Congrats and keep going!

Npms matchdep ~0.1.2 1.0.1

matchdep

Use globule to filter npm module dependencies by name.

This dependency is not matching latest version. Please consider upgrading.

Npms rewire ~1.1.3 2.5.2

rewire

Easy dependency injection for node.js unit testing

This dependency is not matching latest version. Please consider upgrading.

Npms should ~1.2.2 11.1.1

should

test framework agnostic BDD-style assertions

This dependency is not matching latest version. Please consider upgrading.

Npms sinon ~1.7.3 1.17.6

sinon

JavaScript test spies, stubs and mocks.

This dependency is not matching latest version. Please consider upgrading.